## libopaque 1.0.1

=== demos/auth-py-js/requirements.txt ===
flask
opaque
pysodium

## libopaque 0.99.3

=== debian/changelog ===
libopaque (0.99.3-1) unstable; urgency=low

  [ Stefan Marsiske ]
  * New upstream release.
    - [fix] updated license references in a bunch of places

  [ Joost van Baal-Ilić ]
  * d/copyright: drop License: GPL-3.0, GPL-3.0+ and Apache: no longer used.
    Thanks Thorsten Alteholz for rigorous inspection of upstream licensing.
  * d/watch: put some content in.
  * Initial release. Closes: #1049864

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 19 Nov 2023 13:15:44 +0100

libopaque (0.99.2-1) unstable; urgency=low

  [ Stefan Marsiske ]
  * New upstream release.
    - [mod] added some compiled artifacts to gitattributes

  [ Joost van Baal-Ilić ]
  * d/libopaque-bin.lintian-overrides: added: suppress "warning: cannot select
    font 'C'" while waiting for https://github.com/jgm/pandoc/issues/9020 to
    get fixed in Debian supplied pandoc.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 15 Oct 2023 16:40:48 +0200

libopaque (0.99.1-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream release.
    - [fix] makefile
    - [enh] added man page for opaque(1)
    - [fix] help message of opaque(1)
    - [mod] exclude all of js/ from git archive
    - [mod] vendored in munit at fbbdf1467eb0d04a6ee465def2e529e4c87f2118
    - [mod] removed munit submodule

  [ Joost van Baal-Ilić ]
  * deal with new src/utils/man/{makefile,opaque.md} which builds opaque(1):
    - d/control: add pandoc to Build-depends.
    - d/libopaque-bin.manpages: added.
  * d/copyright: drop js/.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 15 Oct 2023 07:13:29 +0200

libopaque (0.99+git20231010.a9e7724-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream git snapshot, handcrafted by joostvb again
    - no longer include demos/auth-py-js/static/libopaque.debug.js,
      js/dist/libopaque.debug.js: these files are currently not used,
      and lintian fails to find sources for these files (however:
      likely js/Makefile lists these sources).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 12 Oct 2023 16:53:01 +0200

libopaque (0.99+git20231009.a9e7724-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream git snapshot, handcrafted by joostvb again
    - no longer include doc/{threshold-oprf,opaque}.pdf, js/libsodium.js/*
      in .tar.gz.

  [ Joost van Baal-Ilić ]
  * debian/copyright: complete

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 11 Oct 2023 16:22:35 +0200

libopaque (0.99+git20231008.a9e7724-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-10-08 ]
  * New upstream git snapshot, pulled from
    https://github.com/stef/libopaque/archive/refs/heads/master.tar.gz :
    - [enh] added gitattributes, excluding /doc and /js/libsodium.js
      from any archive exports

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 11 Oct 2023 16:22:34 +0200

libopaque (0.99+git20231007.553d8f0-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-10-07 ]
  * New upstream git snapshot:
    - [mod] added fixes to makefile for better packaging experience

  [ Joost van Baal-Ilić ]
  * d/rules: re-enable all build time tests.
  * d/control: split binary package libopaque in 3 new ones: libopaque-bin,
    libopaque0, libopaque-dev.
  * debian/libopaque*.install, debian/libopaque-dev.links,
    debian/not-installed: added: distribute files over packages.
  * debian/libopaque-bin.docs: added: install documentation.
  * debian/control: add dh-exec Build-Depends.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Oct 2023 08:52:17 +0200

libopaque (0.99+git20231001.3c405af-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-10-01 ]
  * New upstream git snapshot:
    - [enh] add DESTDIR support to src/makefile to enable proper packaging,
       thx joostvb
    - [mod] only run opaque-tv1 test if this test exists

  [ Joost van Baal-Ilić ]
  * d/rules: explicitly pass PREFIX=/usr.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 07 Oct 2023 11:19:12 +0200

libopaque (0.99+git20230929.b063999-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-09-29 ]
  * New upstream git snapshot:
    - [mod] update testvectors to latest version of cfrg draft
    - [mod] add trailing space to all messages before hexdump of values in
       dump()
    - [fix] makefile utils/opaque needs libopaque.so as a build dep, parallel
       builds fail without this

  [ Joost van Baal-Ilić ]
  * d/rules: skip all build time tests, while working on a better way
    to deal with test failure due to missing file ./tests/opaque-tv1.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 30 Sep 2023 12:19:24 +0200

libopaque (0.99+git20230928.9275408-1) unstable; urgency=low

  * This release was never uploaded.

  [ Joost van Baal-Ilić ]
  * Repack and re-import upstream sources yet again.
  * d/control: update Build-Depends for building just the C stuff: remove
    javahelper, add pkgconf, libsodium-dev.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 28 Sep 2023 14:00:30 +0200

libopaque (0.99+git20230830.9275408-1) unstable; urgency=low

  * This release was never uploaded.

  [ Joost van Baal-Ilić ]
  * Repack upstream sources in .tar.gz, now including previously skipped
    files like munit/munit.h .
  * d/rules: disable java stuff, enable C stuff: build C sources only.
  * d/gbp.conf: added, to deal with our non-standard branch naming.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 18 Sep 2023 18:14:19 +0200

libopaque (0.99+git20230829.9275408-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske, 2023-08-29 ]
  * New upstream git snapshot:
    - [fix] gh ci/cd job
    - [mod] force link to installed libopaque.so.0
    - [mod] add versioned soname and install target fixes to lib makefile


=== debian/control ===
Source: libopaque
Section: utils
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf,
   libsodium-dev, liboprf-dev, pandoc
Standards-Version: 4.5.1
Homepage: https://github.com/stef/libopaque
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libopaque.git
Vcs-Browser: https://salsa.debian.org/debian/libopaque

Package: libopaque-bin
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Language bindings for establishing a shared secret using the OPAQUE protocol
 This library implements the OPAQUE protocol as proposed in the IRTF Crypto
 Forum Research Group draft (https://github.com/cfrg/draft-irtf-cfrg-opaque).
 The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
 Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
 but a password and a server holding some information protected by the password
 can establish a shared secret.  The library comes with bindings for js, php7,
 ruby, java, erlang, lua, python, go and SASL.

Package: libopaque0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Establishing a shared secret using the OPAQUE protocol - C library
 The opaque library implements the OPAQUE protocol as proposed in the IRTF
 Crypto Forum Research Group draft
 (https://github.com/cfrg/draft-irtf-cfrg-opaque).
 The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
 Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
 but a password and a server holding some information protected by the password
 can establish a shared secret.
 .
 libopaque0 delivers the C library.

Package: libopaque-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Establishing a shared secret using the OPAQUE protocol - C development files
 The opaque library implements the OPAQUE protocol as proposed in the IRTF
 Crypto Forum Research Group draft
 (https://github.com/cfrg/draft-irtf-cfrg-opaque).
 The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
 Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
 but a password and a server holding some information protected by the password
 can establish a shared secret.
 .
 libopaque-dev delivers C development files for libopaque.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
#export JAVA_HOME=/usr/lib/jvm/default-java
#export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

# 	dh $@ --with javahelper

#override_dh_auto_test:
#	echo "all build time tests skipped"

## libopaque 0.99.7

=== debian/changelog ===
libopaque (0.99.7-2) unstable; urgency=low

  * d/patches/0002-fix-fcf-protection=full_error.patch: added patch
    contributed by Gui-Yue <yuemeng.gui@g.c>: Avoid using -fcf-protection=full
    on architectures that do not support it.  Closes: #1082166

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 19 Sep 2024 18:09:18 +0200

libopaque (0.99.7-1) unstable; urgency=low

  * New upstream, released Sept 8, 2024.
    [fix] add missing liboprf to tests/opaque-tv1 as link dependency in makefile
    [enh] added new opaque_CreateRegistrationResponse_extKeygen() to facilitate
     DKG for threshold OPAQUE
    [mod] renamed pub/resp to ke[12] in the according places
    [mod] added spdx header to python wrapper
    [mod] fixed use of gcc instead of $(CC) in src/makefile

  * d/patches/series: drop 0001-makefile-installation.patch: now shipped
    upstream.

  * d/control: make liboprf-dev build-depends versioned after consulting
    upstream: liboprf is deemed way too fresh to use and announce sonames.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Sep 2024 08:36:45 +0200

libopaque (0.99.6-1) unstable; urgency=low

  * This release was never uploaded.

  [ Stefan Marsiske ]
  * New upstream release 0.99.6, July 13, 2024
    - [fix] add full install path to soname on darwin
    - [fix] bad soname on darwin in makefile
    - [mod] removed -l,rpath is a gccism
    - [fix] add rpath for libopaque.so in makefile
    - [mod] disabled -fcf-protection=full in darwin builds
    - [mod] remove futuristic cc params from makefile
    - [doc] comments fixed in opaque.h
    - [mod] using mkdir-p/cp instead of install-d for macos and others lacking
       useful install(1)

  * (Missed) new upstream release 0.99.5, July 10, 2024
    [ Kris Pypen ]
    - fix: length registration record should be OPAQUE_REGISTRATION_RECORD_LEN
       (#40) The record received from opaque_FinalizeRequest and send to
       opaque_StoreUserRecord has length OPAQUE_REGISTRATION_RECORD_LEN

  * (Missed) new upstream release 0.99.4, July 2, 2024
    [ Ciprian Sofronia, Tue Jul 2 2024 ]
    - fix: add java package (#39)
    - fix: rename package to ctrlc
    [ stf, Dec 2 2023 - Jul 1 2024 ]
    - [fix] codeql recipe with new liboprf - missing include dir
    - [fix] added apt update to js-binding ci/cd job
    - [fix] update codeql analysis version
    - [mod] built new js packages
    - [fix] add support to build on darwin
    - [fix] more codeql yml fixes liboprf
    - [fix] codeql yml fix due to changed liboprf/src path
    - [fix] gh workflows liboprf src was moved around.
    - [fix] missing return in finalize()
    - [mod] refactored some code from liboprf oprf_Finalize back here, as it
       this OPAQUE specific and not related to the OPRF

  [ Joost van Baal-Ilić ]
  * d/patches/0001-makefile-installation.patch, d/patches/series: cherry picked
    from upstream.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 31 Aug 2024 11:11:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
 Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf,
-   libsodium-dev, liboprf-dev, pandoc
+   libsodium-dev, liboprf-dev (>= 0.3.2), pandoc
 Standards-Version: 4.5.1
 Homepage: https://github.com/stef/libopaque
 Rules-Requires-Root: no

## libopaque 0.99.8

=== debian/changelog ===
libopaque (0.99.8-1) unstable; urgency=low

  * New upstream, released Nov 22, 2024.
    [fix] commit 967041f542e940b53064d181c866fc79a76ed3c0 : deal with
     tests/opaque-tv1 opaque_CreateRegistrationResponse Segmentation fault on
     ppc64el , related to Debian Bug #1085466
    [fix] mixed up 3hashtdh module name in js/makefile
    [mod] also committing js/dist
    [fix] npm audit fix --force in js bindings
    [mod] added toprf_3hashDH as new function to js wrapper
    [fix] #41 - inconsistent oprf.h include (paths)
    [fix] threshold OPAQUE now using 3hashTDH as the t-OPRF primitive
  * d/patches/series: disable 0002-fix-fcf-protection=full_error.patch:
    merged upstream.
  * d/control: enhance description of libopaque-bin.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Dec 2024 11:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,15 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Language bindings for establishing a shared secret using the OPAQUE protocol
- This library implements the OPAQUE protocol as proposed in the IRTF Crypto
+ The opaque library implements the OPAQUE protocol as proposed in the IRTF Crypto
  Forum Research Group draft (https://github.com/cfrg/draft-irtf-cfrg-opaque).
  The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
  Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
  but a password and a server holding some information protected by the password
  can establish a shared secret.  The library comes with bindings for js, php7,
  ruby, java, erlang, lua, python, go and SASL.
+ .
+ libopaque-bin ships the opaque(1) commandline frontend.
 
 Package: libopaque0
 Section: libs

## libopaque 1.0.0

=== debian/changelog ===
libopaque (1.0.0-2) unstable; urgency=low

  * debian/patches/{0003-cppflags.patch,series}: fixing blhc error: CPPFLAGS
    missing (-D_FORTIFY_SOURCE=2).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 23 Feb 2025 15:47:13 +0100

libopaque (1.0.0-1) unstable; urgency=low

  * New upstream, released Feb 18, 2025.
    [mod] bumped python wrapper version to 1.0
    [enh] added an unlink_masking_key mechanic, that makes all user records
     unique across all threshold servers, unless 3hashtdh is used, then the
     zero record, does link them
    [fix] added missing pysodium as dep to py binding
    [fix] correct paths to links, amends fix for #42
    [fix] made softlinks to js/dist/libopaque.debug.js from the static demo
     deps. should fix #42

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 19 Feb 2025 15:28:43 +0100

libopaque (0.99.8-3) unstable; urgency=low

  * New source-only upload to allow migration to testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 16 Feb 2025 06:18:20 +0100

libopaque (0.99.8-2) unstable; urgency=low

  * Now ships binary package python3-opaque:
    - d/control: add dh-python, python3-all to Build-Depends,
    - d/not-installed: add usr/lib/python*/dist-packages/opaque/__pycache__/,
    - d/rules: add pybuild, python.  Make sure we are known in python module
       land as "opaque"; not as "libopaque".
    - d/python3-opaque.install: added.

  * d/control: add libopaque0 and python3-pysodium to python3-opaque Depends.
    Tnx autopkgtest @ salsa.

  * d/control: Fix extended description line length. Tnx lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 15 Feb 2025 14:22:10 +0100

## libopaque 1.0.1

=== debian/changelog ===
libopaque (1.0.1-4) unstable; urgency=low

  * d/control: Add missing Depends: libopaque0 (= ${binary:Version}) to
    libopaque-dev.  Thanks Adrian Bunk. Closes: #1118960
  * d/contol: tighten libopaque0 Depends in python3-opaque: add
    (>= ${binary:Version}).  Thanks again Adrian Bunk.  And keep this safely
    binNMUable; thanks lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 28 Oct 2025 18:46:54 +0100

libopaque (1.0.1-3) unstable; urgency=low

  * d/patches/{0003-cppflags.patch,series}: patch src/opaque.c to get rid
    of FTBFS error "implicit declaration of function ‘expand_message_xmd’".
    Thanks Santiago Vila for reporting.  Closes: #1114179
  * d/control: drop Rules-Requires-Root: no, it is the default now.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 25 Oct 2025 12:37:44 +0200

libopaque (1.0.1-2) unstable; urgency=low

  * d/changelog: Fixup previous entry.
  * d/control: add python3-setuptools to Build-Depends.  Fixes: "FTBFS:
    ModuleNotFoundError: No module named 'setuptools'".  Thanks Santiago Vila.
    Closes: #1100235

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 19 Mar 2025 15:08:34 +0100

libopaque (1.0.1-1) unstable; urgency=low

  * New upstream, released Feb 23, 2025.
    [mod] added CPPFLAGS to most of src/makefile which enables the Debian
    build machinery to enable the right FORTIFY_SOURCE settings.

  * d/patches/series: drop 0003-cppflags.patch: merged upstream.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 28 Feb 2025 15:24:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Uploaders: Stefan Marsiske <jdx5yg90@ctrlc.hu>
-Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), pkgconf,
-   libsodium-dev, liboprf-dev (>= 0.3.2), pandoc
+Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), dh-python, python3-setuptools,
+   pkgconf, libsodium-dev, liboprf-dev (>= 0.3.2), pandoc, python3-all
 Standards-Version: 4.5.1
 Homepage: https://github.com/stef/libopaque
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/libopaque.git
 Vcs-Browser: https://salsa.debian.org/debian/libopaque
 
@@ -17,8 +16,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Language bindings for establishing a shared secret using the OPAQUE protocol
- The opaque library implements the OPAQUE protocol as proposed in the IRTF Crypto
- Forum Research Group draft (https://github.com/cfrg/draft-irtf-cfrg-opaque).
+ The opaque library implements the OPAQUE protocol as proposed in the IRTF
+ Crypto Forum Research Group draft
+ (https://github.com/cfrg/draft-irtf-cfrg-opaque).
  The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
  Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
  but a password and a server holding some information protected by the password
@@ -48,7 +48,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libopaque0 (= ${binary:Version})
 Description: Establishing a shared secret using the OPAQUE protocol - C development files
  The opaque library implements the OPAQUE protocol as proposed in the IRTF
  Crypto Forum Research Group draft
@@ -59,3 +59,19 @@
  can establish a shared secret.
  .
  libopaque-dev delivers C development files for libopaque.
+
+Package: python3-opaque
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3:any, libopaque0 (>= ${binary:Version}), python3-pysodium
+Recommends: ${python:Recommends}
+Suggests: ${python:Suggests}
+Description: python bindings for libopaque: Establishing an OPAQUE shared secret
+ The opaque library implements the OPAQUE protocol as proposed in the IRTF
+ Crypto Forum Research Group draft
+ (https://github.com/cfrg/draft-irtf-cfrg-opaque).
+ The OPAQUE protocol combines a Oblivious Pseudo-Random Function (OPRF) and an
+ Authenticated Key-Exchange (AKE) into a protocol where a user holding nothing
+ but a password and a server holding some information protected by the password
+ can establish a shared secret.
+ .
+ python3-opaque delivers bindings for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#export JAVA_HOME=/usr/lib/jvm/default-java
#export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar

export PYBUILD_NAME=opaque

%:
	dh $@ --sourcedirectory=src --with python3

override_dh_auto_install:
	dh_auto_install --sourcedirectory=python --buildsystem=pybuild --package=python3-opaque
	dh_auto_install -- PREFIX=/usr

# 	dh $@ --with javahelper

=== debian/watch ===
version=4
opts="\
dversionmangle=s/\+dfsg.*$//,\
filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/libopaque-$1\.tar\.gz/,\
repack,repacksuffix=+dfsg,\
" \
https://github.com/stef/libopaque/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
